package com.sckw.transport.repository;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sckw.transport.dao.KwtLogisticsOrderMapper;
import com.sckw.transport.model.KwtLogisticsOrder;
import org.springframework.stereotype.Repository;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author PC
 */
@Repository
public class KwtLogisticsOrderRepository extends ServiceImpl<KwtLogisticsOrderMapper, KwtLogisticsOrder> {
    public List<KwtLogisticsOrder> queryByCreateTime(LocalDateTime localDateTime) {
        return list(Wrappers.<KwtLogisticsOrder>lambdaQuery()
                .ge(KwtLogisticsOrder::getCreateTime, localDateTime)
                .eq(KwtLogisticsOrder::getDelFlag, 0));
    }
}
